Index: modes.c
===================================================================
--- modes.c	(revision 11463)
+++ modes.c	(working copy)
@@ -52,7 +52,11 @@
 
 #define MAX_IN_SAMPLES 640
 
+#ifdef KEEP_ALL
 const SpeexMode * const speex_mode_list[SPEEX_NB_MODES] = {&speex_nb_mode, &speex_wb_mode, &speex_uwb_mode};
+#else
+const SpeexMode * const speex_mode_list[SPEEX_NB_MODES] = {&speex_nb_mode, &speex_nb_mode, &speex_nb_mode};
+#endif /* KEEP_ALL */
 
 /* Extern declarations for all codebooks we use here */
 extern const signed char gain_cdbk_nb[];
@@ -67,6 +71,7 @@
 extern const signed char hexc_10_32_table[];
 
 
+#ifdef KEEP_ALL
 /* Parameters for Long-Term Prediction (LTP)*/
 static const ltp_params ltp_params_nb = {
    gain_cdbk_nb,
@@ -80,6 +85,7 @@
    5,
    0
 };
+#endif /* KEEP_ALL */
 
 /* Parameters for Long-Term Prediction (LTP)*/
 static const ltp_params ltp_params_lbr = {
@@ -88,6 +94,7 @@
    7
 };
 
+#ifdef KEEP_ALL
 /* Parameters for Long-Term Prediction (LTP)*/
 static const ltp_params ltp_params_med = {
    gain_cdbk_lbr,
@@ -112,6 +119,7 @@
    5,               /*shape_bits*/
    0,
 };
+#endif /* KEEP_ALL */
 
 /* Split-VQ innovation parameters for low bit-rate narrowband */
 static const split_cb_params split_cb_nb_lbr = {
@@ -123,6 +131,7 @@
 };
 
 
+#ifdef KEEP_ALL
 /* Split-VQ innovation parameters narrowband */
 static const split_cb_params split_cb_nb = {
    5,               /*subvect_size*/
@@ -149,6 +158,7 @@
    8,               /*shape_bits*/
    0,
 };
+#endif /* KEEP_ALL */
 
 #ifndef DISABLE_WIDEBAND
 
@@ -173,6 +183,7 @@
 
 #endif
 
+#ifdef KEEP_ALL
 /* 2150 bps "vocoder-like" mode for comfort noise */
 static const SpeexSubmode nb_submode1 = {
    0,
@@ -235,6 +246,7 @@
    QCONST16(.55,15),
    119
 };
+#endif /* KEEP_ALL */
 
 /* 8 kbps low bit-rate mode */
 static const SpeexSubmode nb_submode3 = {
@@ -257,6 +269,7 @@
    160
 };
 
+#ifdef KEEP_ALL
 /* 11 kbps medium bit-rate mode */
 static const SpeexSubmode nb_submode4 = {
    -1,
@@ -340,6 +353,7 @@
    -1,
    492
 };
+#endif /* KEEP_ALL */
 
 
 /* Default mode for narrowband */
@@ -359,8 +373,13 @@
 #ifdef EPIC_48K
    0,
 #endif
+#ifdef KEEP_ALL
    {NULL, &nb_submode1, &nb_submode2, &nb_submode3, &nb_submode4, &nb_submode5, &nb_submode6, &nb_submode7,
    &nb_submode8, NULL, NULL, NULL, NULL, NULL, NULL, NULL},
+#else
+   {NULL, &nb_submode3, &nb_submode3, &nb_submode3, &nb_submode3, &nb_submode3, &nb_submode3, &nb_submode3,
+   &nb_submode3, NULL, NULL, NULL, NULL, NULL, NULL, NULL},
+#endif /* KEEP_ALL */
    5,
    {1, 8, 2, 3, 3, 4, 4, 5, 5, 6, 7}
 };
@@ -383,7 +402,7 @@
    &nb_decoder_ctl,
 };
 
-
+#ifdef KEEP_ALL
 /* Wideband part */
 
 static const SpeexSubmode wb_submode1 = {
@@ -566,10 +585,10 @@
    &sb_encoder_ctl,
    &sb_decoder_ctl,
 };
+#endif /* KEEP_ALL */
 
 
 
-
 #ifdef EPIC_48K
 
 extern const signed char gain_cdbk_ulbr[];
